nexo-cloud (latest)
Published 2024-11-23 23:40:21 +00:00 by wallaceosmar
Installation
docker pull git.masscivicdynamic.com/masscivicdynamic/nexo-cloud:latest
sha256:e4c58a9e58e586001dbf288dd2b0230cae7e79d96ec755d55ad6637c1870e6ea
About this package
Supercharge your PHP experience. Based off the official PHP images, serversideup/php includes pre-configured PHP extensions and settings for enhanced performance and security. Optimized for Laravel and WordPress.
Image Layers
ADD alpine-minirootfs-3.20.3-x86_64.tar.gz / # buildkit |
CMD ["/bin/sh"] |
ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c |
RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit |
RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit |
ENV PHP_INI_DIR=/usr/local/etc/php |
RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit |
ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 |
ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 |
ENV PHP_LDFLAGS=-Wl,-O1 -pie |
ENV GPG_KEYS=AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD |
ENV PHP_VERSION=8.4.1 |
ENV PHP_URL=https://www.php.net/distributions/php-8.4.1.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.4.1.tar.xz.asc |
ENV PHP_SHA256=94c8a4fd419d45748951fa6d73bd55f6bdf0adaefb8814880a67baa66027311f |
RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps # buildkit |
COPY docker-php-source /usr/local/bin/ # buildkit |
RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit |
COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit |
RUN /bin/sh -c docker-php-ext-enable sodium # buildkit |
ENTRYPOINT ["docker-php-entrypoint"] |
WORKDIR /var/www/html |
RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit |
STOPSIGNAL SIGQUIT |
EXPOSE map[9000/tcp:{}] |
CMD ["php-fpm"] |
ARG DEPENDENCY_PACKAGES_ALPINE=fcgi nginx gettext shadow |
ARG DEPENDENCY_PACKAGES_DEBIAN=libfcgi-bin nginx gettext-base procps zip |
ARG DEPENDENCY_PHP_EXTENSIONS=opcache pcntl pdo_mysql pdo_pgsql redis zip |
ARG REPOSITORY_BUILD_VERSION=v3.5.1 |
LABEL org.opencontainers.image.title=serversideup/php (fpm-nginx) org.opencontainers.image.description=Supercharge your PHP experience. Based off the official PHP images, serversideup/php includes pre-configured PHP extensions and settings for enhanced performance and security. Optimized for Laravel and WordPress. org.opencontainers.image.url=https://serversideup.net/open-source/docker-php/ org.opencontainers.image.source=https://github.com/serversideup/docker-php org.opencontainers.image.documentation=https://serversideup.net/open-source/docker-php/docs/ org.opencontainers.image.vendor=ServerSideUp org.opencontainers.image.authors=Jay Rogers (@jaydrogers) org.opencontainers.image.version=v3.5.1 org.opencontainers.image.licenses=GPL-3.0-or-later |
ENV APP_BASE_DIR=/var/www/html COMPOSER_ALLOW_SUPERUSER=1 COMPOSER_HOME=/composer COMPOSER_MAX_PARALLEL_HTTP=24 DISABLE_DEFAULT_CONFIG=false LOG_OUTPUT_LEVEL=warn HEALTHCHECK_PATH=/healthcheck NGINX_FASTCGI_BUFFERS=8 8k NGINX_FASTCGI_BUFFER_SIZE=8k NGINX_SERVER_TOKENS=off NGINX_WEBROOT=/var/www/html/public PHP_DATE_TIMEZONE=UTC PHP_DISPLAY_ERRORS=Off PHP_DISPLAY_STARTUP_ERRORS=Off PHP_ERROR_LOG=/dev/stderr PHP_ERROR_REPORTING=22527 PHP_FPM_PM_CONTROL=dynamic PHP_FPM_PM_MAX_CHILDREN=20 PHP_FPM_PM_MAX_SPARE_SERVERS=3 PHP_FPM_PM_MIN_SPARE_SERVERS=1 PHP_FPM_PM_START_SERVERS=2 PHP_FPM_POOL_NAME=www PHP_FPM_PROCESS_CONTROL_TIMEOUT=10s PHP_MAX_EXECUTION_TIME=99 PHP_MAX_INPUT_TIME=-1 PHP_MEMORY_LIMIT=256M PHP_OPCACHE_ENABLE=0 PHP_OPCACHE_INTERNED_STRINGS_BUFFER=8 PHP_OPCACHE_MAX_ACCELERATED_FILES=10000 PHP_OPCACHE_MEMORY_CONSUMPTION=128 PHP_OPCACHE_REVALIDATE_FREQ=2 PHP_OPEN_BASEDIR= PHP_POST_MAX_SIZE=100M PHP_SESSION_COOKIE_SECURE=false PHP_UPLOAD_MAX_FILE_SIZE=100M S6_BEHAVIOUR_IF_STAGE2_FAILS=2 S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0 S6_KEEP_ENV=1 S6_VERBOSITY=1 SHOW_WELCOME_MESSAGE=true SSL_MODE=off SSL_CERTIFICATE_FILE=/etc/ssl/private/self-signed-web.crt SSL_PRIVATE_KEY_FILE=/etc/ssl/private/self-signed-web.key |
COPY --chmod=755 src/common/ / # buildkit |
COPY --chmod=755 src/s6/ / # buildkit |
COPY /opt/s6/ / # buildkit |
COPY /usr/local/bin/php-fpm-healthcheck /usr/local/bin/php-fpm-healthcheck # buildkit |
COPY /usr/share/keyrings/nginx-archive-keyring.gpg /usr/share/keyrings/ # buildkit |
COPY /etc/apt/sources.list.d/nginx.list /etc/apt/sources.list.d/ # buildkit |
COPY /etc/apt/preferences.d/99nginx /etc/apt/preferences.d/ # buildkit |
RUN |4 DEPENDENCY_PACKAGES_ALPINE=fcgi nginx gettext shadow DEPENDENCY_PACKAGES_DEBIAN=libfcgi-bin nginx gettext-base procps zip DEPENDENCY_PHP_EXTENSIONS=opcache pcntl pdo_mysql pdo_pgsql redis zip REPOSITORY_BUILD_VERSION=v3.5.1 /bin/sh -c docker-php-serversideup-dep-install-alpine "${DEPENDENCY_PACKAGES_ALPINE}" && docker-php-serversideup-dep-install-debian "${DEPENDENCY_PACKAGES_DEBIAN}" && docker-php-serversideup-install-php-ext-installer && chown -R www-data:www-data /var/www && chmod -R 755 /var/www && echo "${REPOSITORY_BUILD_VERSION}" > /etc/serversideup-php-version && mkdir -p "${COMPOSER_HOME}" && chown -R www-data:www-data "${COMPOSER_HOME}" && mkdir -p /var/cache/nginx/ && chown -R www-data:www-data /var/cache/nginx/ && install-php-extensions "${DEPENDENCY_PHP_EXTENSIONS}" && rm -rf /usr/local/etc/php-fpm.d/*.conf && rm -rf /etc/nginx/conf.d/*.conf && rm -rf /etc/nginx/http.d/ && rm /etc/nginx/nginx.conf && if cat /etc/os-release | grep -qi 'Alpine'; then rm -rf /usr/share/keyrings/ && rm -rf /etc/apt/; fi # buildkit |
COPY --chmod=755 src/variations/fpm-nginx/etc/ /etc/ # buildkit |
COPY --chmod=755 src/php-fpm.d/ / # buildkit |
COPY /usr/bin/composer /usr/bin/composer # buildkit |
RUN |4 DEPENDENCY_PACKAGES_ALPINE=fcgi nginx gettext shadow DEPENDENCY_PACKAGES_DEBIAN=libfcgi-bin nginx gettext-base procps zip DEPENDENCY_PHP_EXTENSIONS=opcache pcntl pdo_mysql pdo_pgsql redis zip REPOSITORY_BUILD_VERSION=v3.5.1 /bin/sh -c docker-php-serversideup-set-file-permissions --owner www-data:www-data --service nginx # buildkit |
RUN |4 DEPENDENCY_PACKAGES_ALPINE=fcgi nginx gettext shadow DEPENDENCY_PACKAGES_DEBIAN=libfcgi-bin nginx gettext-base procps zip DEPENDENCY_PHP_EXTENSIONS=opcache pcntl pdo_mysql pdo_pgsql redis zip REPOSITORY_BUILD_VERSION=v3.5.1 /bin/sh -c chown -R www-data:www-data /run # buildkit |
USER www-data |
EXPOSE map[8080/tcp:{} 8443/tcp:{}] |
ENTRYPOINT ["docker-php-serversideup-entrypoint"] |
STOPSIGNAL SIGQUIT |
WORKDIR /var/www/html |
CMD ["/init"] |
HEALTHCHECK &{["CMD" "sh" "-c" "curl --insecure --silent --location --show-error --fail http://localhost:8080$HEALTHCHECK_PATH || exit 1"] "5s" "3s" "0s" "0s" '\x03'} |
LABEL authors=wallaceosmar |
WORKDIR /var/www/html |
COPY --chown=www-data:www-data . . # buildkit |
COPY /var/www/html/vendor ./vendor # buildkit |
COPY /app/public/build ./public/build # buildkit |
ENV APP_ENV=production |
ENV PHP_OPCACHE_ENABLE=1 |
RUN /bin/sh -c php artisan route:cache && php artisan icons:cache && php artisan view:cache # buildkit |
Labels
Key | Value |
---|---|
authors | wallaceosmar |
org.opencontainers.image.authors | Jay Rogers (@jaydrogers) |
org.opencontainers.image.description | Supercharge your PHP experience. Based off the official PHP images, serversideup/php includes pre-configured PHP extensions and settings for enhanced performance and security. Optimized for Laravel and WordPress. |
org.opencontainers.image.documentation | https://serversideup.net/open-source/docker-php/docs/ |
org.opencontainers.image.licenses | GPL-3.0-or-later |
org.opencontainers.image.source | https://github.com/serversideup/docker-php |
org.opencontainers.image.title | serversideup/php (fpm-nginx) |
org.opencontainers.image.url | https://serversideup.net/open-source/docker-php/ |
org.opencontainers.image.vendor | ServerSideUp |
org.opencontainers.image.version | v3.5.1 |
Details
2024-11-23 23:40:21 +00:00
Versions (2)
View all
Container
2
OCI / Docker
linux/amd64
Jay Rogers (@jaydrogers)
GPL-3.0-or-later
51 MiB
0.0.0-alpha-1
2025-04-18
latest
2024-11-23